#
# spec file for package aspell-cs (Version 0.51.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl aspell aspell-en attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           aspell-cs
BuildRequires:  aspell
License:        GPL v2 or later
Group:          Productivity/Text/Spell
Requires:       aspell >= 0.50
Provides:       locale(aspell:cs)
AutoReqProv:    on
Version:        0.51.0
Release:        22.6
Summary:        A Czech Dictionary for Aspell
Url:            http://aspell.net/
Source:         %{name}-0.51-0.tar.bz2
Source1:        Nwordlist.tgz
Patch:          aspell-cs-Novellwords_extra_dict.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define aspell_dict_dir %(aspell dump config dict-dir)
%define aspell_data_dir %(aspell dump config data-dir)

%description
A Czech dictionary for Aspell.



Authors:
--------
    unknown

%debug_package
%prep
%setup -q -n %{name}-0.51-0 -a1
%patch

%build
./configure
make
# creating extra dictionary with Novell jargon
/usr/bin/word-list-compress c < Nwordlist > Nwordlist.cwl
/usr/bin/word-list-compress d < Nwordlist.cwl | aspell --lang=cs create master ./csNovellwords

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 ./csNovellwords $RPM_BUILD_ROOT/%{aspell_dict_dir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Copyright README
%{aspell_dict_dir}/*.rws
%{aspell_dict_dir}/*.multi
%{aspell_dict_dir}/*.alias
%{aspell_dict_dir}/csNovellwords
%{aspell_data_dir}/*.dat

%changelog
* Mon Jan 28 2008 - lmichnovic@suse.cz
- added extra dictionaries with Novell words [bnc#371]
  (*Novellwords_extra_dict.patch)
- spec cleanup
* Mon Mar 20 2006 - pnemec@suse.cz
- removed aspell_dictionary from Provides
* Fri Mar 03 2006 - pnemec@suse.cz
- converted to the new lang provides format
* Tue Feb 07 2006 - pnemec@suse.cz
- fixed virtual package name
* Fri Jan 27 2006 - pnemec@suse.cz
- providing aspell_dictionary as virtual package [#144972]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Fri Dec 03 2004 - ro@suse.de
- added some magic for the filelist
* Wed Apr 21 2004 - ltinkl@suse.cz
- updated to the current version based on OOo code
* Tue May 06 2003 - sbrabec@suse.cz
- Package created. License is yet undecided.
